CURATOR(1)

NAME
curator - Elasticsearch time-series index manager

SYNOPSIS
curator_cli [-h] [-v] [--host HOST] [--url_prefix URL_PREFIX] [--port PORT] [--use_ssl] [--http_auth AUTH] [--timeout TIMEOUT] [--master-only] [--dry-run] [--loglevel LOG_LEVEL] [--logfile LOG_FILE] [--logformat LOGFORMAT] COMMAND [COMMAND_OPTS] ARGUMENTS

DESCRIPTION
curator helps manage Elasticsearch time-series indices. It provides an easy way to perform index administration tasks, such as managing aliases, optimizing indices, changing the replica count and modifying index allocation using routing tags.

OPTIONS

-h, --help
    show program usage and exit

-v, --version
    show program's version number and exit

--host HOST
    Elasticsearch host. Default: localhost

--url_prefix URL_PREFIX
    Elasticsearch HTTP url prefix. Default: none

--port PORT
    Elasticsearch port. Default: 9200

--use_ssl
    Connect to Elasticsearch through SSL. Default: false

--certificate
    Path to certificate to use for SSL validation.

--client-cert
    Path to file containing SSL certificate for client auth.

--ssl-no-validate
    Do not validate SSL certificate

--http_auth AUTH
    Use Basic Authentication ex: user:pass Default: None

--timeout TIMEOUT
    Connection timeout in seconds.

--master-only
    Verify that the node is the elected master before continuing

--dry-run
    If true, does not perform any changes to the Elasticsearch indices.

--loglevel LOG_LEVEL
    Log level

--logfile LOG_FILE
    log file

--logformat LOGFORMAT
    Log output format [default|logstash]. Default: default

COMMANDS
Each of the following commands accepts a number of options and positional arguments. Run curator COMMAND --help for command-specific help. Available commands are:

allocation
    Apply required index routing allocation rule

close
    Close indices

delete_indices
    Delete indices

delete_snapshots
    Delete snapshots

forcemerge
    forceMerge index/shard segments

open
    Open indices

replicas
    Change replica count of indices

show_indices
    Show indices

show_snapshots
    Show snapshots

snapshot
    Take snapshots of indices

EXIT CODES
Exit codes will indicate success or failure.

0   Success

1   Failure

-1  An exception was raised that does not result in an exit code of 1

SEE ALSO
es_repo_mgr(1), curator(1) Additional documentation for curator_cli can be found at the project's wiki at https://github.com/elasticsearch/curator/wiki and (on Debian systems) under /usr/share/doc/elasticsearch-curator/reference.txt.gz.

AUTHOR
curator was originally written by Aaron Mildenstein <aaron@mildensteins.com>. It is currently maintained by Elasticsearch <http://www.elasticsearch.org/>. This manual page was written by Apollon Oikonomopoulos <apoikos@debian.org> for the Debian project (but may be used by others).

LICENSE
This software is released under the Apache License, Version 2.0. See /usr/share/doc/elasticsearch-curator/copyright for more details. Copyright 2011-2016 Elasticsearch and contributors.